=== debian/changelog ===
xdg-desktop-portal-kde (5.17.5-3) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * Build with libpipewire-0.3-dev (Closes: #969613)
  * Add patches from upstream to detect PipeWire 0.3 correctly,
    and other PipeWire fixes from v5.18.1

 -- Pino Toscano <pino@debian.org>  Fri, 11 Sep 2020 07:45:46 +0200

xdg-desktop-portal-kde (5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 21:38:50 +0100

xdg-desktop-portal-kde (5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Alexander Volkov ]
  * Add dependency on xdg-desktop-portal

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake
  * Add libepoxy build dep.
    Thanks to Askar Safin (Closes: 941856)

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - add libgbm-dev, and libpipewire-0.2-dev for screencast support
      (related to #941856)
    - remove unused dbus-x11
    - explicitly add gettext
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jan 2020 10:52:41 +0100
