## xdg-desktop-portal-kde 5.17.90

=== debian/changelog ===
xdg-desktop-portal-kde (5.17.90-0ubuntu1) focal; urgency=medium

  * Update build depends according to cmake.
  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:10:17 +0000

xdg-desktop-portal-kde (5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:46:46 +0000
