## xdg-desktop-portal-kde 5.18.0

=== debian/changelog ===
xdg-desktop-portal-kde (5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:46:04 +0000
