## xdg-desktop-portal-kde 5.18.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.17.5")
+set(PROJECT_VERSION "5.18.1")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.62.0")
+set(KF5_MIN_VERSION "5.66.0")
 
 ################# set KDE specific information #################
 
@@ -16,6 +16,7 @@
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDEClangFormat)
 
 include(FeatureSummary)
 
@@ -33,7 +34,7 @@
 
 find_package(Epoxy)
 set_package_properties(Epoxy PROPERTIES DESCRIPTION "libepoxy"
-    URL "http://github.com/anholt/libepoxy"
+    URL "https://github.com/anholt/libepoxy"
     TYPE OPTIONAL
     PURPOSE "Required for screencast portal"
 )
@@ -52,6 +53,7 @@
     Concurrent
     DBus
     PrintSupport
+    QuickWidgets
     Widgets
 )
 
@@ -59,8 +61,11 @@
     CoreAddons
     Config
     I18n
+    Declarative
     KIO
+    Kirigami2
     Notifications
+    Plasma
     Wayland
     WidgetsAddons
     WindowSystem
@@ -68,11 +73,16 @@
 
 if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
    add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
 endif()
 
 add_subdirectory(data)
 add_subdirectory(src)
 
+# add clang-format target for all our real source files
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 find_package(KF5I18n CONFIG REQUIRED)
