=== debian/changelog ===
xdg-desktop-portal-kde (5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:32:01 +0000
