## xdg-desktop-portal-kde 5.18.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.18.3")
+set(PROJECT_VERSION "5.18.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.12.0")
