=== debian/changelog ===
xdg-desktop-portal-kde (5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:25 +0900

xdg-desktop-portal-kde (5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:44 +0900

xdg-desktop-portal-kde (5.19.5-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Merge changes from 5.17.5-3:
    - drop patches pipewire-0.3-1.patch, pipewire-0.3-2.patch,
      pipewire-0.3-3.patch, and pipewire-0.3-4.patch: fixed upstream

  [ Norbert Preining ]
  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 19:01:21 +0900

xdg-desktop-portal-kde (5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
    - Update build dep versions.
    - wrap-and-sort.
  * Remove listed license files (COPYING) from copyright.
  * Remove unused license definitions for LGPL-2.1+.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Enable hardening.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Aug 2020 08:19:13 +0200
