## xdg-desktop-portal-kde 5.20.3

=== debian/changelog ===
xdg-desktop-portal-kde (5.20.3-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-2.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 27 Nov 2020 21:40:29 +0300

xdg-desktop-portal-kde (5.20.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.0)
  * New build depends on plasma-wayland-protocols and qtwayland5-dev-
    tools.
  * New upstream release (5.20.1)
  * New upstream release (5.20.2)
  * New upstream release (5.20.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 08:55:02 +0000

xdg-desktop-portal-kde (5.19.5-0ubuntu3) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 30 Oct 2020 14:05:09 +0300

xdg-desktop-portal-kde (5.19.5-0ubuntu2) groovy; urgency=medium

  * debian/control: Build with libpipewire-0.3-dev

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Sep 2020 11:30:24 +0200

xdg-desktop-portal-kde (5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:55:46 +0100
