## xdg-desktop-portal-kde 5.21.0

=== debian/changelog ===
xdg-desktop-portal-kde (5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:23:52 +0000
