## xdg-desktop-portal-kde 5.21.3

=== debian/changelog ===
xdg-desktop-portal-kde (5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:37:09 +0000
