## xdg-desktop-portal-kde 5.22.1

=== debian/changelog ===
xdg-desktop-portal-kde (5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:12:54 +0100
