## xdg-desktop-portal-kde 5.22.2.1

=== debian/changelog ===
xdg-desktop-portal-kde (5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:57:38 +0100
