## xdg-desktop-portal-kde 5.22.3

=== debian/changelog ===
xdg-desktop-portal-kde (5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:08:42 +0100
