## xdg-desktop-portal-kde 5.22.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(xdg-desktop-portal-kde)
+set(PROJECT_VERSION "5.22.5")
+set(PROJECT_VERSION_MAJOR 5)
 
-set(PROJECT_VERSION "5.22.0")
-set(PROJECT_VERSION_MAJOR 5)
+project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "5.15.0")
 set(KF5_MIN_VERSION "5.82")
