## xdg-desktop-portal-kde 5.23.0

=== debian/changelog ===
xdg-desktop-portal-kde (5.23.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.0)
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Oct 2021 17:55:01 +0100
