## xdg-desktop-portal-kde 5.23.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "5.22.5")
+set(CMAKE_C_STANDARD 99)
+
+set(PROJECT_VERSION "5.23.2")
 set(PROJECT_VERSION_MAJOR 5)
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.82")
+set(KF5_MIN_VERSION "5.86")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 ################# set KDE specific information #################
