=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
     filechooser.cpp
     inhibit.cpp
     notification.cpp
+    notificationinhibition.cpp
     print.cpp
     request.cpp
     session.cpp
@@ -50,17 +51,17 @@
 
 set_source_files_properties(../data/org.freedesktop.Accounts.User.xml PROPERTIES NO_NAMESPACE TRUE)
 
-qt5_add_dbus_interface(xdg_desktop_portal_kde_SRCS ../data/org.freedesktop.Accounts.User.xml user_interface)
+qt_add_dbus_interface(xdg_desktop_portal_kde_SRCS ../data/org.freedesktop.Accounts.User.xml user_interface)
 
 add_executable(xdg-desktop-portal-kde ${xdg_desktop_portal_kde_SRCS})
 
 target_link_libraries(xdg-desktop-portal-kde
-    Qt5::Core
-    Qt5::DBus
-    Qt5::Concurrent
-    Qt5::PrintSupport
-    Qt5::QuickWidgets
-    Qt5::Widgets
+    Qt::Core
+    Qt::DBus
+    Qt::Concurrent
+    Qt::PrintSupport
+    Qt::QuickWidgets
+    Qt::Widgets
     KF5::CoreAddons
     KF5::ConfigCore
     KF5::Declarative
@@ -84,4 +85,4 @@
 
 install(FILES
     xdg-desktop-portal-kde.notifyrc
-    DESTINATION ${KNOTIFYRC_INSTALL_DIR})
+    DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})
